CAN_ECR_Type Union Reference

## Data Fields

struct {
uint32_t TEC:8
uint32_t REC:7
uint32_t RP:1
uint32_t CEL:8
uint32_t __pad0__:8
} | bit
uint32_t | reg

## Detailed Description

Definition at line 400 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_ECR_Type::__pad0__

bit: 24..31 Reserved

Definition at line 406 of file can.h.

## bit

struct { ... } CAN_ECR_Type::bit

Structure used for bit access

## CEL

uint32_t CAN_ECR_Type::CEL

bit: 16..23 CAN Error Logging

Definition at line 405 of file can.h.

## REC

uint32_t CAN_ECR_Type::REC

bit: 8..14 Receive Error Counter

Definition at line 403 of file can.h.

## reg

uint32_t CAN_ECR_Type::reg

Type used for register access

Definition at line 408 of file can.h.

## RP

uint32_t CAN_ECR_Type::RP

bit: 15 Receive Error Passive

Definition at line 404 of file can.h.

## TEC

uint32_t CAN_ECR_Type::TEC

bit: 0.. 7 Transmit Error Counter

Definition at line 402 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h